<div class="pixelform-templates-wrapper">
    <div class="templates-container">
        <div class="templates-row">
            <div class="breadcrumbs">
                <h4>
                <?php echo esc_html__('All Templates','Pixelform'); ?>
                <?php 
                if(!empty($all_templates[0]->total_template)):
                   echo esc_html($all_templates[0]->total_template);
                else:
                   echo esc_html(0);
                endif;
                ?>
                </h4>
                <a href="javascript:void(0);" class="pixelform_btn" data-toggle="<?php echo esc_attr__('modal','Pixelform'); ?>" data-target="<?php echo esc_attr__('#template_creat_new_page','Pixelform'); ?>" data-whatever="<?php echo esc_attr__('@mdo','Pixelform'); ?>">
                <?php echo esc_html__('+ Create New','Pixelform'); ?></a> 
            </div>
            <div class="templates-grid">
                <?php
                if(!empty($templates)): 
                foreach($templates as $template):
                ?>
                    <div class="template-box post" id="post_<?php echo esc_attr($template->id); ?>">
                        <div class="template-img">
                            <img src="<?php echo esc_url(plugins_url()."/pixel-formbuilder/templates/thumbs/".$template->template_thumb);?>" alt="<?php echo esc_attr($template->template_name); ?>">
                            <div class="template-options">
                                <ul>
                                    <li>
                                    <a href="javascript:void(0);" class="Pixelform-get-data" data-toggle="<?php echo esc_attr__('modal','Pixelform'); ?>" data-temid="<?php echo esc_attr($template->id); ?>"  data-target="<?php echo esc_attr__('#template_import_onpage','Pixelform'); ?>" data-whatever="<?php echo esc_attr__('@mdo','Pixelform'); ?>">
                                    <img src="<?php echo esc_url(plugins_url('/pixel-formbuilder/admin/images/edit.svg'))?>" alt="<?php echo esc_attr__('Template Use','Pixelform'); ?>">
                                    </a>
                                    </li>
                                    <li>
                                    <a href="<?php echo esc_url($template->template_preview_link); ?>" target="<?php echo esc_attr__('_blank','Pixelform'); ?>">
                                    <img src="<?php echo esc_url(plugins_url('/pixel-formbuilder/admin/images/view.svg'))?>" alt="<?php echo esc_attr__('privew template','Pixelform'); ?>">
                                    </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <div class="template-info">
                            <a href="javascript:void(0);" class="template-title">
                            <?php echo esc_html($template->template_name); ?>
                            </a>
                        </div>
                    </div>
                <?php
                endforeach; 
                endif;
                ?>
           </div>
            <div class="loadmore-loader">
                <div>
                    <img src="<?php echo esc_url(plugins_url('/pixel-formbuilder/admin/images/loader.gif'))?>" alt="<?php echo esc_attr__('Loader Image','Pixelform'); ?>">
                </div>
            </div>
           <?php if(!empty($all_templates[0]->total_template)): ?>
           <div class="pixelform_load_more">
              <a href="javascript:void(0);" id="pixelform_loadmore" class="pixelform_btn load-more">
              <?php echo esc_html__('Load More','Pixelform'); ?></a>
              <input type="hidden" id="row" value="8">
              <input type="hidden" id="all" value="<?php if(!empty($all_templates[0]->total_template)): echo esc_attr($all_templates[0]->total_template); endif; ?>">
           </div>
           <?php endif; ?>
        </div>
        <!-- Pixel Page Template start -->
        <div class="modal fade" id="template_import_onpage" tabindex="-1" role="dialog" aria-labelledby="Pixelform_modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="Pixelform_modalLabel"><?php echo esc_html__('Use Template','Pixelform'); ?></h5>
                    <button type="button" class="close" data-dismiss="<?php echo esc_attr__('modal','Pixelform'); ?>" aria-label="<?php echo esc_attr__('Close','Pixelform'); ?>">
                    <span aria-hidden="true"><?php echo esc_html__('&times;','Pixelform'); ?></span>
                    </button>
                </div> 
                <div class="modal-body">
                    <form id="Pixelform_template_add_form" name="Pixelform_template_add">                     

                        <div class="switches-container">
                            <input class="form-check-input Pixelform-page-option" type="radio" id="create_new_page" name="Pixelform_template_import" value="<?php echo esc_attr__('creat_new_page','Pixelform'); ?>" checked="checked" checked/>
                            <input class="form-check-input Pixelform-page-option" type="radio" id="select_list_page" name="Pixelform_template_import" value="<?php echo esc_attr__('select_page_list','Pixelform'); ?>" />
                            <label for="create_new_page"><?php echo esc_html__('Create New Page','Pixelform'); ?></label>
                            <label for="select_list_page"><?php echo esc_html__('Select Page','Pixelform'); ?></label>
                            <div class="switch-wrapper">
                                <div class="switch">
                                    <div><?php echo esc_html__('Create New Page','Pixelform'); ?></div>
                                    <div><?php echo esc_html__('Select Page','Pixelform'); ?></div>
                                </div>
                            </div>
                        </div>
                        <div class="lc-input-feilds form-group error_message" id="Pixelform_page_new">
                           <label for="Pixelform_page_name"><?php echo esc_html__('Enter Page Name','Pixelform'); ?></label>
                           <input type="text" class="form-control" id="Pixelform_page_name" name="Pixelform_page_name" placeholder="<?php echo esc_attr__('Enter Page Name','Pixelform'); ?>">
                        </div>
                        <div class="lc-input-feilds form-group error_message" id="Pixelform_default_page">
                           <label for="message-text" class="col-form-label"><?php echo esc_html__('Select Page','Pixelform'); ?></label>
                            <?php  
                            $userid = get_current_user_id();
                            $args = array(
                                'numberposts' => -1,
                                'post_type'   => array('page'),
                                'author'   => get_current_user_id()
                                );
                            $pages = get_posts($args);
                            ?>
                            <select class="custom-select" name="Pixelform_select_page" id="Pixelform_select_page">
                             <option value="0" selected><?php echo esc_html__('Select Page','Pixelform'); ?></option>
                                <?php 
                                if(!empty($pages)){
                                  foreach($pages as $page){
                                ?>
                                <option value="<?php echo esc_attr($page->ID); ?>"><?php echo esc_attr($page->post_title); ?></option> 
                                <?php 
                                  } 
                                }
                                ?>
                            </select>
                        </div>
                        <div class="form-group">
                         <button type="submit" class="pixelform_btn"><?php echo esc_html__('Add','Pixelform'); ?></button>
                        </div> 
                     </form>
                   </div>
                </div>
            </div>
        </div>
        <!-- New Page Modal -->
        <div class="modal fade" id="template_creat_new_page" tabindex="-1" role="dialog" aria-labelledby="Pixelform_new_page_modalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="Pixelform_new_page_modalLabel"><?php echo esc_html__('Create Template','Pixelform'); ?></h5>
                    <button type="button" class="close" data-dismiss="<?php echo esc_attr__('modal','Pixelform'); ?>" aria-label="<?php echo esc_attr__('Close','Pixelform'); ?>">
                    <span aria-hidden="true"><?php echo esc_html__('&times;','Pixelform'); ?></span>
                    </button>
                </div> 
                <div class="modal-body">
                    <form id="Pixelform_template_newpage" name="Pixelform_template_add_newpage">
                        <div class="lc-input-feilds form-group error_message" id="Pixelform_page_new">
                          <label for="Pixelform_page_name"><?php echo esc_html__('Enter New Page Name','Pixelform'); ?></label>
                          <input type="text" class="form-control" id="Pixelform__newpage_name" name="Pixelform__newpage_name" placeholder="<?php echo esc_attr__('Enter New Page Name','Pixelform'); ?>">
                        </div>
                        <div class="form-group">
                          <button type="submit" class="pixelform_btn"><?php echo esc_html__('Add New','Pixelform'); ?></button>
                        </div> 
                   </form>
                  </div>
                </div>
            </div>
        </div>
        <!-- Pixel Page Template End -->
        <!--Message Alert Start -->
        <div class="um_alert_wrapper"> 
            <div class="um_alert_inner">
                <p></p>
            </div>
        </div>
        <!--Message Alert End -->
    </div>
</div>