(function( $ ) {
	'use strict';
	$(document).ready(function(){
	$(".pixelform_form_dragfield").draggable({
        //  use a helper-clone that is append to 'body' so is not 'contained' by a pane
        helper: function() {
            return $(this).clone().appendTo('body').css({
                'zIndex': 5
            });
        },
        cursor: 'move',
        //containment: "#droppable",
		scroll: true
    });
	
	/* popup start */
		$('.ul_popup_link').on('click', function(e){
			var popupID = $(this).data('popup');
			$('#'+popupID).addClass('ul_open_popup');
		});
		$('.ul_popup_close').on('click', function(e){
			$('.ul_popup_wrapper').removeClass('ul_open_popup');
		});
		
		$('.pixelform_form_import_poup').on('click', function(e){
			$('#import_form_popup').addClass('ul_open_popup');
		});
		$('.ul_popup_close').on('click', function(e){
			$('.ul_popup_wrapper').removeClass('ul_open_popup');
		});
	/* popup end */

		
		function adminFormRender(fieldType,random_number){
			var filedSetings = '';
			filedSetings = '<div class="pixelform_form_section_top"><div class="pixelform_form_section_right"><ul class="pixelform_form_section_controls"><li><a href="javascript:;" class="pixelform_form_remove"><i class="fa fa-times"></i></a></li><li><a href="javascript:;" class="pixelform_form_edit"><i class="fa fa-pencil"></i></a></li><li><a href="javascript:;" class="pixelform_form_copy"><i class="fa fa-files-o"></i></a></li></ul></div></div>';
			switch(fieldType) {
				case 'text':
					filedSetings += '<div class="pixelform_form_item_type">Text Field</div><input type="hidden" class="element_type" value="text" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Text Field"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="text_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					$('.pixelform_form_name_fields').append($("<option></option>").attr('value','text_'+random_number+'').text('text_'+random_number+''));
					break;
					
				case 'email':
					filedSetings += '<div class="pixelform_form_item_type">Email</div><input type="hidden" class="element_type" value="email" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Email"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="email_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					$('.pixelform_form_email_fields').append($("<option></option>").attr('value','email_'+random_number+'').text('email_'+random_number+''));
					break;	
					
				case 'textarea':
					filedSetings += '<div class="pixelform_form_item_type">Textarea</div><input type="hidden" class="element_type" value="textarea" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Text Area"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="textarea_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;	
					
				case 'button':
					filedSetings += '<div class="pixelform_form_item_type">Button</div><input type="hidden" class="element_type" value="button" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Button Text" value=""></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="icon">Icon</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="" placeholder="fa fa-location-arrow"><em><a href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Get Your Icon</a></em></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="button_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;
					
				case 'checkboxgroup':
					filedSetings += '<div class="pixelform_form_item_type">Checkbox Group</div><input type="hidden" class="element_type" value="checkboxgroup" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Checkbox Group"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="inline">Inline</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="checkbox-group_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><label data-type="checkboxoptions">Options</label><div class="pixelform_form_input_group" data-fieldType="options"><div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="option1"><input type="text" class="pixelform_form_control opt_value" value="option-1"></div><div class="pixelform_form_add_more_option"><a href="javascript:;">add more</a></div></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;

				case 'select':
					filedSetings += '<div class="pixelform_form_item_type">Select</div><input type="hidden" class="element_type" value="select" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="multiple">Multiple Selection</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1">Check if you need multiple selections.</div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Select"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control"></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="select_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><label data-type="selectoptions">Options</label><div class="pixelform_form_input_group" data-fieldType="options"><div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="option1"><input type="text" class="pixelform_form_control opt_value" value="option-1"></div><div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="option2"><input type="text" class="pixelform_form_control opt_value" value="option-2"><div class="pixelform_form_select_remove_btn"><a href="javascript:;" class="pixelform_form_select_remove"><i class="fa fa-times"></i></a></div></div><div class="pixelform_form_add_more_option"><a href="javascript:;">add more</a></div></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;
					
				case 'radiogroup':
					filedSetings += '<div class="pixelform_form_item_type">Radio Group</div><input type="hidden" class="element_type" value="radiogroup" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Radio Group"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="inline">Inline</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox"></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="radiogroup_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><label data-type="radiooptions">Options</label><div class="pixelform_form_input_group" data-fieldType="options"><div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="option1"><input type="text" class="pixelform_form_control opt_value" value="option-1"></div><div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="option2"><input type="text" class="pixelform_form_control opt_value" value="option-2"><div class="pixelform_form_select_remove_btn"><a href="javascript:;" class="pixelform_form_select_remove"><i class="fa fa-times"></i></a></div></div><div class="pixelform_form_add_more_option"><a href="javascript:;">add more</a></div></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;	
					
				case 'number':
					filedSetings += '<div class="pixelform_form_item_type">Number</div><input type="hidden" class="element_type" value="number" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Number"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control"></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="number_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;
									
				case 'fileupload':
					filedSetings += '<div class="pixelform_form_item_type">File Upload</div><input type="hidden" class="element_type" value="fileupload" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="File Upload"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="fileupload_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><label data-type="multifiles">Multiple Files</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;
					
				case 'date':
					filedSetings += '<div class="pixelform_form_item_type">Date Field</div><input type="hidden" class="element_type" value="date" data-section-id="'+random_number+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div><div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1"></div></div><div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="Date"></div></div><div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value=""></div></div><div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" ></div></div><div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="date_'+random_number+'" disabled></div></div><div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
					break;
					
			}
			
			$('#'+random_number).html(filedSetings);
			//Select Target Using Control + A
			$('.pixelform_form_control').keydown(function(e){
				if (e.keyCode == 65 && e.ctrlKey) {
					e.target.select()
				}
			});
		}
		
		//toggle effect
		$("body").on('click','.pixelform_form_edit', function () {
			$(this).parents('.pixelform_form_dragfield').find('.pixelform_form_toggle_div').addClass('open');
			$('body').addClass('pixelform_form_popup_open');
		});
		
		$("body").on('click','.pixelform_form_toggle_div_close,.pixelform_form_popup_save_btn', function () {
			if($(this).attr('class') == 'pixelform_form_toggle_div_close'){
				$(this).parent().parent().removeClass('open');
			}else{
				$(this).parent().parent().parent().removeClass('open');
			}
			$('body').removeClass('pixelform_form_popup_open');
		});
		
		$(document).keyup(function(e) {
			 if (e.keyCode == 27) { // escape key maps to keycode `27`
				if($('.pixelform_form_toggle_div_close').length > 0) $('.pixelform_form_toggle_div_close').click();
			}
		});
		
		$(document).on('click', function (e) {
			if ($(e.target).is('.pixelform_form_toggle_div.open')) {
				$('.pixelform_form_toggle_div').removeClass('open');
				$('body').removeClass('pixelform_form_popup_open');
			}
			
			if ($(e.target).is('.pixelform_form_preview_box')) {
				$('.pixelform_form_preview_box').css({'visibility':'hidden','opacity':'0'});
			}
			
		});
		
		//Remove Element
		$("body").on('click','.pixelform_form_remove', function () {
			$(this).parents('.pixelform_form_dragfield').remove();
		});
		//Remove Column
		$("body").on('click','.pixelform_form_column_remove', function () {
			$(this).parents('.pixelform_form_inner_dropable').remove();
		});
		//Copy Element
		$("body").on('click','.pixelform_form_copy', function (){
			var $obj = $(this).parents('.pixelform_form_dragfield');
			var $cloned = $obj.clone().insertAfter( $obj );
			
			var random_number = Math.floor(Math.random() * 100000);
			$cloned.find(".element_type").attr("data-section-id",random_number )
			var getField_name = ($cloned.find(".name_field").val()).split("_")[0];
			$cloned.find(".name_field").val(getField_name+'_'+random_number);
			$cloned.attr("id",random_number);
			if( getField_name == 'text' ){
				$('.pixelform_form_name_fields').append($("<option></option>").attr('value','text_'+random_number).text('text_'+random_number));
			}
			if(getField_name == 'email'){
				$('.pixelform_form_email_fields').append($("<option></option>").attr('value','email_'+random_number).text('email_'+random_number));
			}
			//Select Target Using Control + A
			$('.pixelform_form_control').keydown(function(e){
				if (e.keyCode == 65 && e.ctrlKey) {
					e.target.select()
				}
			});
		});
		
		//Copy Section
		$("body").on('click','.pixelform_form_column_copy', function () {
			var $obj = $(this).parents('.pixelform_form_inner_dropable');
			var $cloned = $obj.clone().insertAfter( $obj );
			var random_number = Math.floor(Math.random() * 100000);
			$cloned.find(".pixelform_form_section_top.ui-state-disabled").parent().attr("id",'container_'+random_number+'');
			$('.pixelform_form_inner_field_wrapper').droppable({
				drop: function(event, ui) {
					if (!ui.draggable.hasClass("dropped")){
						var random_number = Math.floor(Math.random() * 100000);
						$(this).append($(ui.draggable).clone().addClass('dropped').attr('id', random_number));
						var fieldType = $(this).find('#'+random_number).children().data('type');
						adminFormRender(fieldType,random_number);
					}
				}
			});
			
			$( ".pixelform_form_inner_field_wrapper" ).sortable({
				  revert: true,
				  connectWith: ".pixelform_form_inner_field_wrapper",
				  cancel: ".ui-state-disabled,input",
				  items: '> div:not(.ui-state-disabled)'
				}).disableSelection();
			
			//Select Target Using Control + A
			$('.pixelform_form_control').keydown(function(e){
				if (e.keyCode == 65 && e.ctrlKey) {
					e.target.select()
				}
			});
		});
		
		//Add Column
		$('#pixelform_form_addColumn').on('click', function(){
			var container_id = Math.floor(Math.random() * 100000);
			
			$('#droppable').append('<div class="pixelform_form_inner_dropable col-xs-12 col-sm-12" data-column-class="12" id="container_'+container_id+'"><div class="pixelform_form_inner_field_wrapper"><div class="pixelform_form_section_top"><div class="pixelform_form_section_left"><ul><li><a href="javascript:;" class="builder_arrow_left"><i class="fa fa-angle-left"></i></a></li><li>1/1</li><li><a href="javascript:;" class="builder_arrow_right"><i class="fa fa-angle-right"></i></a></li></ul></div><div class="pixelform_form_section_right"><ul class="pixelform_form_section_controls"><li><a href="javascript:;" class="pixelform_form_remove pixelform_form_column_remove"><i class="fa fa-times"></i></a></li><li><a href="javascript:;" class="pixelform_form_column_copy"><i class="fa fa-files-o"></i></a></li></ul></div></div><div class="clearfix"></div></div></div>');
			
			$('.pixelform_form_inner_field_wrapper').droppable({
				drop: function(event, ui) {
					if (!ui.draggable.hasClass("dropped")){
						var random_number = Math.floor(Math.random() * 100000);
						$(this).append($(ui.draggable).clone().addClass('dropped').attr('id', random_number));
						var fieldType = $(this).find('#'+random_number).children().data('type');
						adminFormRender(fieldType,random_number);
					}
				}
			});
			
			$('.pixelform_form_inner_field_wrapper').sortable({
				 connectWith: ".pixelform_form_inner_field_wrapper",
				 cancel: '.pixelform_form_section_top,.pixelform_form_toggle_div'
			}).disableSelection();
			
		});		
		

		//Set Saved FormData
		var formID = $('.pixelform_form_id').val();
		if( formID != null ){
			$.ajax({
				 data: {
					action: 'pixelform_form_get_form_data',
					form_id: formID
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response) {
					var parsedData = (response.length != '') ? JSON.parse(response) : {};
					$.each(parsedData, function (j) { //Column Loop
						var keys = Object.keys(parsedData[j]);
						var filedSetings = '';
						var column = (parsedData[j].column_data).columns;
						var column_id = (parsedData[j].column_data).id;				
						var ratio = (column==2) ? '1/6' : (column==3 ? '1/4' : (column==4 ? '1/3' : (column==6 ? '1/2' : (column==8 ? '2/3' : (column==9 ? '3/4' : '1/1')))));
						filedSetings += '<div class="pixelform_form_inner_dropable col-xs-12 col-sm-'+column+'" data-column-class="'+column+'" id="'+column_id+'"><div class="pixelform_form_inner_field_wrapper"><div class="pixelform_form_section_top ui-state-default ui-state-disabled"><div class="pixelform_form_section_left"><ul><li><a href="javascript:;" class="builder_arrow_left"><i class="fa fa-angle-left"></i></a></li><li>'+ratio+'</li><li><a href="javascript:;" class="builder_arrow_right"><i class="fa fa-angle-right"></i></a></li></ul></div><div class="pixelform_form_section_right"><ul class="pixelform_form_section_controls"><li><a href="javascript:;" class="pixelform_form_remove pixelform_form_column_remove"><i class="fa fa-times"></i></a></li><li><a href="javascript:;" class="pixelform_form_column_copy"><i class="fa fa-files-o"></i></a></li></ul></div></div><div class="clearfix"></div>';
						
						keys.forEach(function(key){ //Data Type Loop
						//console.log(parsedData[j][key].id);
							if( key.search("column") == -1 ){
							//Covert String to array and take a first value as FieldType.
							
							var fieldType = key.split("_")[0];
							filedSetings += '<div class="pixelform_form_dragfield ui-state-default ui-sortable-handle dropped" id="'+parsedData[j][key].id+'"><div class="pixelform_form_section_top"><div class="pixelform_form_section_right"><ul class="pixelform_form_section_controls"><li><a href="javascript:;" class="pixelform_form_remove"><i class="fa fa-times"></i></a></li><li><a href="javascript:;" class="pixelform_form_edit"><i class="fa fa-pencil"></i></a></li><li><a href="javascript:;" class="pixelform_form_copy"><i class="fa fa-files-o"></i></a></li></ul></div></div>';
							
							switch(fieldType){
								
								case 'button':
								filedSetings += '<div class="pixelform_form_item_type">Button</div><input type="hidden" class="element_type" value="button" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
								$.each(parsedData[j][key], function(k, value) { //Fields Loop
									switch( k ){
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'" value=""></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'icon':
											filedSetings += '<div class="pixelform_form_group"><label data-type="icon">Icon</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'" placeholder="fa fa-location-arrow"><em><a href="https://fontawesome.com/v4.7.0/icons/" target="_blank">Get Your Icon</a></em></div></div>';
										break;
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="button_'+parsedData[j][key].id+'" disabled></div></div>';
										break;							
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
									
								case 'text':
								filedSetings += '<div class="pixelform_form_item_type">Text Field</div><input type="hidden" class="element_type" value="text" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
								$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){ 
										case 'required':
											 var field_req = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+field_req+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'placeholder':
											filedSetings += '<div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;							
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'email':
								filedSetings += '<div class="pixelform_form_item_type">Email</div><input type="hidden" class="element_type" value="email" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
								$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){ 
										case 'required':
											 var field_req = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+field_req+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'placeholder':
											filedSetings += '<div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;							
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'textarea':
								filedSetings += '<div class="pixelform_form_item_type">Textarea</div><input type="hidden" class="element_type" value="textarea" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
								$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){ 
										case 'required':
											 var field_req = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+field_req+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'placeholder':
											filedSetings += '<div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;							
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								
								case 'checkboxgroup':
									filedSetings += '<div class="pixelform_form_item_type">Checkbox Group</div><input type="hidden" class="element_type" value="checkboxgroup" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								//console.log(parsedData[j][key]);
								$.each(parsedData[j][key], function(k, value) {
									switch( k ){
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'inline':
											var inline = (value == '1') ? 'checked' : '';
											filedSetings += '<div class="pixelform_form_group"><label data-type="inline">Inline</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1" '+inline+'></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;
										case 'checkboxoptions':
											filedSetings += '<div class="pixelform_form_group"><label data-type="checkboxoptions">Options</label><div class="pixelform_form_input_group"data-fieldType="options">';
												$.each(value, function(lab, val) {
													filedSetings += '<div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="'+val.label+'"><input type="text" class="pixelform_form_control opt_value" value="'+val.value+'"></div>';
												});
											filedSetings += '<div class="pixelform_form_add_more_option"><a href="javascript:;">add more</a></div></div></div>';
										break;
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'select':
								//console.log(parsedData[j][key]);
									filedSetings += '<div class="pixelform_form_item_type">Select</div><input type="hidden" class="element_type" value="select" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
									$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){
										case 'multiple':
											 var multi_opt = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="multiple">Multiple Selection</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+multi_opt+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'placeholder':
											filedSetings += '<div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;	
										case 'selectoptions':
											filedSetings += '<div class="pixelform_form_group"><label data-type="selectoptions">Options</label><div class="pixelform_form_input_group" data-fieldType="options">';
											$.each(parsedData[j][key][k], function(index){
												var label = parsedData[j][key][k][index].label;
												var value = parsedData[j][key][k][index].value;
												filedSetings += '<div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="'+label+'"><input type="text" class="pixelform_form_control opt_value" value="'+value+'">';
												filedSetings += (index != 0) ? '<div class="pixelform_form_select_remove_btn"><a href="javascript:;" class="pixelform_form_select_remove"><i class="fa fa-times"></i></a></div>' : '';
												filedSetings += '</div>';
											});											
											filedSetings += '<div class="pixelform_form_add_more_option"><a href="javascript:;">add more</a></div></div></div>';
										break;
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								
								case 'radiogroup':
									filedSetings += '<div class="pixelform_form_item_type">Radio Group</div><input type="hidden" class="element_type" value="radiogroup" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
									$.each(parsedData[j][key], function(k, value) {
									switch( k ){
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'inline':
											var inline = (value == '1') ? 'checked' : '';
											filedSetings += '<div class="pixelform_form_group"><label data-type="inline">Inline</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1" '+inline+'></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;
										case 'radiooptions':
											filedSetings += '<div class="pixelform_form_group"><label data-type="radiooptions">Options</label><div class="pixelform_form_input_group" data-fieldType="options">';
											$.each(parsedData[j][key][k], function(index){
												var label = parsedData[j][key][k][index].label;
												var value = parsedData[j][key][k][index].value;
												filedSetings += '<div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" value="'+label+'"><input type="text" class="pixelform_form_control opt_value" value="'+value+'">';
												filedSetings += (index != 0) ? '<div class="pixelform_form_select_remove_btn"><a href="javascript:;" class="pixelform_form_select_remove"><i class="fa fa-times"></i></a></div>' : '';
												filedSetings += '</div>';
											});											
											filedSetings += '<div class="pixelform_form_add_more_option"><a href="javascript:;">add more</a></div></div></div>';
										break;										
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'number':
									filedSetings += '<div class="pixelform_form_item_type">Number</div><input type="hidden" class="element_type" value="number" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
									$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){
										case 'required':
											 var field_req = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+field_req+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'placeholder':
											filedSetings += '<div class="pixelform_form_group"><label data-type="placeholder">Placeholder</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;							
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'hidden':
									filedSetings += '<div class="pixelform_form_item_type">Hidden</div><input type="hidden" class="element_type" value="hidden" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
									$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;							
										case 'value':
											filedSetings += '<div class="pixelform_form_group"><label data-type="value">Value</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'fileupload':
									filedSetings += '<div class="pixelform_form_item_type">File Upload</div><input type="hidden" class="element_type" value="fileupload" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
									$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){
										case 'required':
											 var field_req = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+field_req+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;
										case 'multifiles':
											var multi = (value == '1') ? 'checked' : '';
											filedSetings += '<div class="pixelform_form_group"><label data-type="multifiles">Multiple Files</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" class="pixelform_form_checkbox" value="1" '+multi+'></div></div>';
										break;										
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								case 'date':
									filedSetings += '<div class="pixelform_form_item_type">Date</div><input type="hidden" class="element_type" value="date" data-section-id="'+parsedData[j][key].id+'"><div class="pixelform_form_toggle_div"><div class="pixelform_form"><div class="pixelform_form_toggle_div_close"><i class="fas fa-times"></i></div>';
								
									$.each(parsedData[j][key], function(k, value) {
									
									switch( k ){
										case 'required':
											 var field_req = (value == '1') ? 'checked' : '';
											 filedSetings += '<div class="pixelform_form_group"><label data-type="required">Required</label><div class="pixelform_form_input_group" data-fieldType="checkbox"><input type="checkbox" value="1" class="pixelform_form_checkbox" '+field_req+'></div></div>';
										break;
										case 'label':
											filedSetings += '<div class="pixelform_form_group"><label data-type="label">Label</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'help':
											filedSetings += '<div class="pixelform_form_group"><label data-type="help">Help Text</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;
										case 'className':
											filedSetings += '<div class="pixelform_form_group"><label data-type="className">Class</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control" value="'+value+'"></div></div>';
										break;	
										case 'name':
											filedSetings += '<div class="pixelform_form_group"><label data-type="name">Name</label><div class="pixelform_form_input_group" data-fieldType="text"><input type="text" class="pixelform_form_control name_field" value="'+value+'" disabled></div></div>';
										break;							
									}
									
								 });
									filedSetings += '<div class="pixelform_form_group"><button type="button" class="pixelform_form_btn pixelform_form_popup_save_btn">Save</button></div></div></div>';
								break;
								
								
								}
								filedSetings += '</div>';
								
							} //Close If Condition For Column
						});
							filedSetings += '</div></div>';
							$('#droppable').append(filedSetings);
							var filedSetings = '';
				});
				$('.pixelform_form_inner_field_wrapper').droppable({
					drop: function(event, ui) {
						if (!ui.draggable.hasClass("dropped")){
							var random_number = Math.floor(Math.random() * 100000);
							$(this).append($(ui.draggable).clone().addClass('dropped').attr('id', random_number));
							var fieldType = $(this).find('#'+random_number).children().data('type');
							adminFormRender(fieldType,random_number);
						}
					}
				});
				
				$( ".pixelform_form_inner_field_wrapper" ).sortable({
				  revert: true,
				  connectWith: ".pixelform_form_inner_field_wrapper",
				  cancel: ".ui-state-disabled,input",
				  items: '> div:not(.ui-state-disabled)'
				}).disableSelection();
				
				
				//Select Target Using Control + A
				$('.pixelform_form_control').keydown(function(e){
					if (e.keyCode == 65 && e.ctrlKey) {
						e.target.select()
					}
				});
		}
	});
}

	/*** Form Preview  ***/
	$(".pixelform_form_preview_form").on('click', function(){
		var btn_css = '';
		
			btn_css += $(".pixelform_form_btn_back_color").val() != '' ? 'background:'+$(".pixelform_form_btn_back_color").val()+';' : '';
			btn_css += $(".pixelform_form_btn_fnt_siz").val() != '' ? 'font-size:'+$(".pixelform_form_btn_fnt_siz").val().replace('px','')+'px;' : '';
			 btn_css += $(".pixelform_form_btn_padding").val() != '' ? 'padding:'+$(".pixelform_form_btn_padding").val()+';' : '';
			 btn_css += $("#btn_font_weight option:selected").val() != '' ? 'font-weight:'+$("#btn_font_weight option:selected").val()+';' : '';
			 btn_css += $(".pixelform_form_btn_txt_color").val() != '' ? 'color:'+$(".pixelform_form_btn_txt_color").val()+';' : '';
			 
			if( $(".pixelform_form_custom_border:checked").val() == 'yes' ){
			 var bw = $(".bb_width").val() != '' ? $(".bb_width").val() : '1';
			 var bc = $(".pixelform_form_btn_border_color").val() != '' ? $(".pixelform_form_btn_border_color").val() : '';
			 btn_css += 'border:'+bw+'px solid '+bc+';';
			 btn_css += $(".pixelform_form_btn_radius").val() != '' ? 'border-radius:'+$(".pixelform_form_btn_radius").val()+';' : '';
			}
			
			 var input_css = '';
			// btn_css += ($(".fields_size:checked").val() != 'undefined') ? $(".fields_size:checked").val() : 'no';
			 input_css += $(".pixelform_form_input_radius").val() != '' ? 'border-radius:'+$(".pixelform_form_input_radius").val()+';' : '';
			 input_css += $(".pixelform_form_input_back_color").val() != '' ? 'background:'+$(".pixelform_form_input_back_color").val()+';' : '';
			 input_css += $(".pixelform_form_input_border_color").val() != '' ? 'border-color:'+$(".pixelform_form_input_border_color").val()+';' : '';
			 input_css += $(".pixelform_form_input_font_color").val() != '' ? 'color:'+$(".pixelform_form_input_font_color").val()+';' : '';
		 		
		//var btn_id = $(this).attr('id');
		var fields = {};
		var col_id = '';
		var col_cls ='';
		var key ='';
		var element_type ='';
		var section_id ='';
		var fieldsAraay = {};
		var columnData = {};
		var c = 0;
		$("#droppable .pixelform_form_inner_dropable").each(function(){
			col_cls = $(this).attr('data-column-class');
			col_id = $(this).attr('id');
			$(this).find('.dropped').each(function() {
				element_type = $(this).find('.element_type').val();
				section_id = $(this).find('.element_type').data('section-id');
				fields['id'] = section_id;
				$(this).find(".pixelform_form_toggle_div .pixelform_form_group").each(function(){
					key = $(this).children('label').data('type');
					var fieldType = $(this).children('.pixelform_form_input_group').data('fieldtype');
					switch( fieldType ){
						case 'text':
							fields[key] = $(this).children('.pixelform_form_input_group').children().val();
						break;
						
						case 'options':
						 var opt_values = {};
						 var options = {};
						 var opt_index = 0;
							$(this).find('.pixelform_form_input_group .pixelform_form_select_option').each(function(){
								 opt_values['label'] = $(this).find('.opt_lable').val();
								 opt_values['value'] = $(this).find('.opt_value').val();
								 options[opt_index] = opt_values;
								 opt_values = {};
								 opt_index++;
							});
							fields[key] = options;
						break;
													
						case 'checkbox':							
							 var req = $(this).children('.pixelform_form_input_group').children('.pixelform_form_checkbox:checked').val();
							if( req === undefined ){
								fields[key] = '0';
							}else{
								fields[key] = "1";
							}
						break;
					}
					fieldType = '';
				}); 
				fieldsAraay[element_type+'_'+section_id] = fields;
				fields= {};
			});
			
			if( $(this).has("dropped") ){
				fieldsAraay['column_data'] = { "columns" : col_cls, "id" : col_id };
			}
			
			columnData[c] = fieldsAraay;
			fieldsAraay = {};
			c++;
		});
		
		var render_as = $('.pixelform_form_render_as').val();
		var frm_cls = render_as == "autoresponder" ? " pixelform_form_newsletter_wrapper" : "";
		frm_cls += $(".fields_size:checked").val() == 'yes' ? ' pixelform_form_big_input_box' : '';
		frm_cls += $(".label_on_border:checked").val() == 'yes' ? ' pixelform_form-label-on-border' : '';
		
		var filedSetings = '';
		filedSetings = '<div class="pixelform_form_render'+frm_cls+'"><div class="row">';
		$.each(columnData, function (j) {
			var keys = Object.keys(columnData[j]);
			var column = (columnData[j].column_data).columns;
			
			var btn_cls = $(".button_inside:checked").val() == "yes" ? " pixelform_form-btn-inside-button" : "";
			var btn_inside_wrap = $(".button_inside:checked").val() == "yes" ? " pixelform_form-btn-inside-input" : "";
			
			filedSetings += '<div class="col-xs-12 col-md-'+column+' col-md-'+column+''+btn_inside_wrap+'">';
				keys.forEach(function(key){  //Data Type Loop
				//console.log(columnData[j][key]);
				var fieldType = key.split("_")[0];
				var in_label = columnData[j][key].label;
						switch(fieldType){
							case 'button':
								filedSetings += '<div class="form-group'+btn_cls+'"><button type="button" class="pixelform_form_btn" style="'+btn_css+'">'+in_label+'</button></div>';
							break;
							case 'text':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<input type="text" class="form-control" placeholder="'+columnData[j][key].placeholder+'" style="'+input_css+'"></div>';
							break;
							case 'email':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<input type="text" class="form-control" placeholder="'+columnData[j][key].placeholder+'" style="'+input_css+'"></div>';
							break;
							case 'textarea':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<textarea class="form-control" placeholder="'+columnData[j][key].placeholder+'" style="'+input_css+'"></textarea></div>';
							break;
							case 'checkboxgroup':
							filedSetings += '<div class="checkbox form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								var inline = (columnData[j][key].inline == 1) ? ' checkbox-inline' : '';
								$.each(columnData[j][key].checkboxoptions, function(k, value) {
									filedSetings += '<label class="'+inline+'"><input type="checkbox" name="pixelform_form_checkboxes[]" value="'+value.value+'">'+value.label+'</label>';
								});
							filedSetings += '</div>';
							break;
							case 'select':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<select class="form-control" style="'+input_css+'">';
								$.each(columnData[j][key].selectoptions, function(k, value) {
									filedSetings += '<option value="'+value.value+'">'+value.label+'</option>';
								});
							filedSetings += '</select></div>';
							break;
							case 'radiogroup':
							filedSetings += '<div class="radio form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								var inline = (columnData[j][key].inline == 1) ? ' radio-inline' : '';
								$.each(columnData[j][key].radiooptions, function(k, value) {
									filedSetings += '<label class="'+inline+'"><input type="radio" value="'+value.value+'">'+value.label+'</label>';
								});
							filedSetings += '</div>';
							break;
							case 'number':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<input type="number" class="form-control" placeholder="'+columnData[j][key].placeholder+'" style="'+input_css+'"></div>';
							break;
							case 'fileupload':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<input type="file" class="form-control" placeholder="'+columnData[j][key].placeholder+'" style="'+input_css+'"></div>';
							break;
							case 'date':
							filedSetings += '<div class="form-group">';
								filedSetings += in_label != '' ? '<label for="'+in_label+'" class="pixelform_form_label">'+in_label+'</label>' : '';
								filedSetings += '<input type="date" class="form-control" placeholder="'+columnData[j][key].placeholder+'" style="'+input_css+'"></div>';
							break;
						}
				});
			filedSetings += '</div>';
			
		});
		filedSetings += '</div></div>';
		$(".pixelform_form_preview_wrapper").html(filedSetings);
		$(".pixelform_form_preview_box").css({"opacity": "1", "visibility": "visible"});
		//console.log(filedSetings);
		
	});
	
	$("body").on('click','.pixelform_form_preview_box .pixelform_form_toggle_div_close', function () {
		$(".pixelform_form_preview_box").css({"opacity": "0", "visibility": "hidden"});
	});

		/*** Create New Form  ***/
		$(".pixelform_form_create_new_form").on('click', function(){
			var $this = $(this);
			$this.next('.pixelform_form_loader_img').css('display','inline-block');
			var form_name = $this.prev('input').val();
			if( form_name != '' ){
				$.ajax({
					 data: {
						action: 'pixelform_form_create_new_form',
						form_name: form_name
						},
					 type: 'post',
					 url: ajaxurl,
					 success: function(response){
						if( response > 0 ){
							var home_url = $(".pixelform_form_home_url").val();
							window.location.href = home_url+'/wp-admin/admin.php?page=pixelform_form-forms&action=edit&id='+response;
						}else if( response == -1 ){
							pixelform_form_alert( "Name already exists, please try again.", "error" );
							$this.next('.pixelform_form_loader_img').hide(2000);
						}else{
							pixelform_form_alert( "Somthing is wrong.", "error" );
							$this.next('.pixelform_form_loader_img').hide(2000);
						}
					},
					error: function(error){
						pixelform_form_alert( error, "error" );
						$this.next('.pixelform_form_loader_img').hide(2000);
					}
				});
			}else{ 
				pixelform_form_alert( "Please enter the form name.", "error" );
				$this.next('.pixelform_form_loader_img').hide(2000);
			}
		});
		
		/*** Update Form  ***/
		$(".pixelform_form_updateForm").on('click', function(){
			var fields = {};
			var col_id = '';
			var col_cls ='';
			var key ='';
			var element_type ='';
			var section_id ='';
			var fieldsAraay = {};
			var columnData = {};
			var c = 0;
			$("#droppable .pixelform_form_inner_dropable").each(function(){
				col_cls = $(this).attr('data-column-class');
				col_id = $(this).attr('id');
				$(this).find('.dropped').each(function() {
					element_type = $(this).find('.element_type').val();
					section_id = $(this).find('.element_type').data('section-id');
					fields['id'] = section_id;
					$(this).find(".pixelform_form_toggle_div .pixelform_form_group").each(function(){
						key = $(this).children('label').data('type');
						var fieldType = $(this).children('.pixelform_form_input_group').data('fieldtype');
						switch( fieldType ){
							case 'text':
								fields[key] = $(this).children('.pixelform_form_input_group').children().val();
							break;
							
							case 'options':
							 var opt_values = {};
							 var options = {};
							 var opt_index = 0;
								$(this).find('.pixelform_form_input_group .pixelform_form_select_option').each(function(){
									 opt_values['label'] = $(this).find('.opt_lable').val();
									 opt_values['value'] = $(this).find('.opt_value').val();
									 options[opt_index] = opt_values;
									 opt_values = {};
									 opt_index++;
								});
								fields[key] = options;
							break;
														
							case 'checkbox':							
								 var req = $(this).children('.pixelform_form_input_group').children('.pixelform_form_checkbox:checked').val();
								if( req === undefined ){
									fields[key] = '0';
								}else{
									fields[key] = "1";
								}
							break;
						}
						fieldType = '';
					}); 
					fieldsAraay[element_type+'_'+section_id] = fields;
					fields= {};
				});
				
				if( $(this).has("dropped") ){
					fieldsAraay['column_data'] = { "columns" : col_cls, "id" : col_id };
				}
				
				columnData[c] = fieldsAraay;
				fieldsAraay = {};
				c++;
			});
			var formData = JSON.stringify(columnData);
			var form_name = $('#pixelform_formbuilder_formname').val();
			var form_id = $('#pixelform_formbuilder_formname').data('formid');
			var render_as = $('.pixelform_form_render_as').val();
			var autoresponder = $('.pixelform_form_autoresponders').val();
			var list_name = $('.pixelform_form_autoresponders_lists option:selected').text();
			var list_id = $('.pixelform_form_autoresponders_lists').val();
			var name_field = $('.pixelform_form_name_fields').val();
			var email_field = $('.pixelform_form_email_fields').val();
			var listType = $('.pixelform_form_sendiio_list_type option:selected').val(); //Only for sendiio
			var $this = $(this);
			
			if( form_name != '' ){
				$this.next('.pixelform_form_loader_img').css('display','inline-block');
				$.ajax({
					 data: {
						action: 'pixelform_form_update_form_data',
						formData: formData,
						form_name: form_name,
						//btn_id: btn_id,
						form_id: form_id,
						render_as: render_as,
						autoresponder: autoresponder,
						list_name: list_name,
						list_id: list_id,
						name_field: name_field,
						email_field: email_field,
						listType: listType  //Only for sendiio
						},
					 type: 'post',
					 url: ajaxurl,
					 success: function(response){
					     
						 console.log(response);
						if( response == 1 ){
							pixelform_form_alert( "Form has been updated successfully", "success" );
							$this.next('.pixelform_form_loader_img').hide(2000);
						}
						else{
							pixelform_form_alert( "Need to change somthing to update.", "error" );
							$this.next('.pixelform_form_loader_img').hide(2000);
						}
					},
					error: function(error){
						pixelform_form_alert( error, "error" );
						$this.next('.pixelform_form_loader_img').hide(2000);
					}
				});
			}else{
				pixelform_form_alert( "Please enter the form name.", "error" );
			}
		});
		
		/*** Resize Column on click  ***/
		$("body").on('click','.builder_arrow_left', function(){
			var column_class = $(this).parents('.pixelform_form_inner_dropable').attr('data-column-class');
			var column = $(this).parents('.pixelform_form_inner_dropable');
			column_class == '2' ? $(this).addClass('pixelform_form_deactive') : '';
			if( column_class == '12' ){
				column.removeClass('col-sm-12');
				column.addClass('col-sm-9');
				column.attr("data-column-class","9");
				$(this).parent().next().text('3/4');
			}else if(column_class == '9'){
				column.removeClass('col-sm-9');
				column.addClass('col-sm-8');
				column.attr("data-column-class","8");
				$(this).parent().next().text('2/3');
			}else if(column_class == '8'){
				column.removeClass('col-sm-8');
				column.addClass('col-sm-6');
				column.attr("data-column-class","6");
				$(this).parent().next().text('1/2');
			}else if(column_class == '6'){
				column.removeClass('col-sm-6');
				column.addClass('col-sm-4');
				column.attr("data-column-class","4");
				$(this).parent().next().text('1/3');
			}else if(column_class == '4'){
				column.removeClass('col-sm-4');
				column.addClass('col-sm-3');
				column.attr("data-column-class","3");
				$(this).parent().next().text('1/4');
			}else if(column_class == '3'){
				column.removeClass('col-sm-3');
				column.addClass('col-sm-2');
				column.attr("data-column-class","2");
				$(this).parent().next().text('1/6');
				$(this).addClass('pixelform_form_deactive');
			}
			
		});
		
		$("body").on('click','.builder_arrow_right', function(){
			var column_class = $(this).parents('.pixelform_form_inner_dropable').attr('data-column-class');
			var column = $(this).parents('.pixelform_form_inner_dropable');
			if( column_class == '2' ){
				column.removeClass('col-sm-2');
				column.addClass('col-sm-3');
				column.attr("data-column-class","3");
				$(this).parent().prev().text('1/4');
			}else if( column_class == '3' ){
				column.removeClass('col-sm-3');
				column.addClass('col-sm-4');
				column.attr("data-column-class","4");
				$(this).parent().prev().text('1/3');
			}else if(column_class == '4'){
				column.removeClass('col-sm-4');
				column.addClass('col-sm-6');
				column.attr("data-column-class","6");
				$(this).parent().prev().text('1/2');
			}else if(column_class == '6'){
				column.removeClass('col-sm-6');
				column.addClass('col-sm-8');
				column.attr("data-column-class","8");
				$(this).parent().prev().text('2/3');
			}else if(column_class == '8'){
				column.removeClass('col-sm-8');
				column.addClass('col-sm-9');
				column.attr("data-column-class","9");
				$(this).parent().prev().text('3/4');
			}else if(column_class == '9'){
				column.removeClass('col-sm-9');
				column.addClass('col-sm-12');
				column.attr("data-column-class","12");
				$(this).addClass('pixelform_form_deactive');
				$(this).parent().prev().text('1/1');
			}
		});
		  
		// Clone for select option field
		$('body').on('click','.pixelform_form_add_more_option a', function(){
			 $(this).parent().prev().after( $('<div class="pixelform_form_select_option"><input type="text" class="pixelform_form_control opt_lable" placeholder="Label"><input type="text" class="pixelform_form_control opt_value" placeholder="Value"><div class="pixelform_form_select_remove_btn"><a href="javascript:;" class="pixelform_form_select_remove"><i class="fa fa-times"></i></a></div></div>') );
		});
		// Remove Options for Select field
		$('body').on('click','.pixelform_form_select_remove_btn', function(){
			var count = $(this).parent('.pixelform_form_select_option').parent('.pixelform_form_input_group').children('.pixelform_form_select_option').length;
			var dataType = $(this).parent('.pixelform_form_select_option').parent('.pixelform_form_input_group').prev().attr('data-type');
			 if( dataType != 'checkboxoptions' && count > 2 ){
				$(this).parent('.pixelform_form_select_option').remove();	
			 }else if( dataType == 'checkboxoptions' && count > 1 ){
				$(this).parent('.pixelform_form_select_option').remove();
			 }
		});
		
		//Copy Form Ajax
		$('.pixelform_form_copy').on('click', function(){
			var obj = $(this);
			var formid = $(obj).attr('data-formid');
			$.ajax({
				 data: {
					action: 'pixelform_form_duplicate_form',
					form_id: formid
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response) {
					 if(response=='1'){
						 window.location.href = '';
					 }else{
						 console.log(response);
					 }
				}
			});
		});
		
		//Remove Form Ajax
		$('.pixelform_form_remove').on('click', function(){
			var obj = $(this);
			var form_id = $(obj).attr('data-formid');
			if(confirm("Are you sure?")){
				$.ajax({
				 data: {
					action: 'pixelform_form_remove_form',
					form_id: form_id
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response) {
					if( response == 1 ){
						obj.parents('tr').remove();
						pixelform_form_alert( "Form has been deleted successfully.", "success" );
					}else{
						pixelform_form_alert( "Somthing is wrong.", "error" );
					}
				}
			});
			}
		});
		
		//Remove Form Data From Form Databse Table
		$('.pixelform_form_data_remove').on('click', function(){
			var obj = $(this);
			var rowID = $(obj).attr('data-rowID');
			if( confirm("Are you sure?") ){
				$.ajax({
					 data: {
						action: 'pixelform_form_remove_form_data',
						rowID: rowID
						},
					 type: 'post',
					 url: ajaxurl,
					 success: function(response) {
						 if( response == 1 ){
							obj.parents('tr').remove();
							alert("Form has been deleted");
						 }else{
							alert("Somthing is wrong.");
						 }
					}
				});
			}	
		});
		
		//Remove All(Selected) Form Data From Form Databse Table
		$('#master_check').on('click', function(e) {
			if($(this).is(':checked',true))  
			{
				$(".sub_chk").prop('checked', true);  
			}  
			else  
			{  
				$(".sub_chk").prop('checked',false);  
			}  
		});
		
		$('#delete_all_form_data').on('click', function(e) { 
			var allVals = [];  
			$(".sub_chk:checked").each(function() {  
				allVals.push($(this).attr('data-rowID'));
			});  
			 
			if(allVals.length <=0)  
			{  
				alert("Please select row.");  
			}  
			else {  
				var check = confirm("Are you sure?");  
				if(check == true){
					//for server side
					var join_selected_values = allVals.join(","); 
					$.ajax({
						type: "POST",  
						url: ajaxurl, 
						data: {
							action: 'pixelform_form_all_form_database',
							rowIDs: join_selected_values
						},						
						cache:false,
						success: function(response)  
						{   
							if(response == 'success'){
								//for client side
								  $.each(allVals, function( index, value ) {
									  $('table tr').filter("[data-rowID='" + value + "']").remove();
								  });
							}
							
						}   
					});
				}  
			}  
	});
		
		//Get Autoresponders List
			//var formType = $(".pixelform_form_render_as").val();
			//if( formType == 'autoresponder' || formType == 'both' ){
			if( $(".pixelform_form_select_autoresponder").length != 0 ){
				 $.ajax({
					 data: {
						action: 'pixelform_form_autoresponder_get_autoresponderes',
						},
					 type: 'post',
					 url: ajaxurl,
					 success: function(response) {
						 console.log(response);
						var list = response.split(",");
						var responder = $('.saved_autoresponder').val();
						var listID = $('.saved_autoresponder').data('list-id');
						var listName = $('.saved_autoresponder').data('list-name');
						
						if(responder == 'Sendiio'){
							$('.sendiio_visibility').show();
						}
						
						for(var i=0; i<list.length; i++){
							var selected = ( responder == list[i] ) ? ' selected' : '';
							$('.pixelform_form_autoresponders').append($('<option'+selected+'></option>').attr('value',list[i]).text(list[i]));
						}
						if( listID.length != 0 && listName.length != 0 ){
							$('.pixelform_form_autoresponders_lists').append($("<option selected></option>").attr('value',listID).text(listName));
						}
					}
				 });
			}
			//}
			
			//Get Autoresponder List's List ID
			$('.pixelform_form_autoresponders').on('change', function() {
			  if( $(this).val() != 'none'  ){
				  if($(this).val() == 'Sendiio'){
						$('.sendiio_visibility').show();
				  }else{
					  $('.sendiio_visibility').hide();
					  $.ajax({
						 data: {
							action: 'pixelform_form_autoresponder_get_list',
							'responder': this.value
							},
						 type: 'post',
						 url: ajaxurl,
						 success: function(response) {
							 console.log(response);
							$('.pixelform_form_autoresponders_lists').empty();
							var result = $.parseJSON(response);
							$.each(result['list'], function(k, v) {
								$('.pixelform_form_autoresponders_lists').append($("<option></option>").attr('value',k).text(v));
							});
						}
					});
				  }
				  
			  }else{
				  $('.sendiio_visibility').hide();
				  $('.pixelform_form_autoresponders_lists').empty();
				  $('.pixelform_form_autoresponders_lists').append($("<option></option>").attr('value','none').text('Select List'));
			  }	
			});
			
			//Get Autoresponder List's List ID From Sendiio
			$('.pixelform_form_sendiio_list_type').on('change', function() {
			  if( $(this).val() != 'none'  ){
				 
				  $.ajax({
					 data: {
						action: 'pixelform_form_autoresponder_get_list',
						'responder': 'Sendiio',
						'listType': this.value,
						},
					 type: 'post',
					 url: ajaxurl,
					 success: function(response) {
						 console.log(response);
						$('.pixelform_form_autoresponders_lists').empty();
						var result = $.parseJSON(response);
						$.each(result['list'], function(k, v) {
							$('.pixelform_form_autoresponders_lists').append($("<option></option>").attr('value',k).text(v));
						});
					}
				});
				  
			  }else{
				  $('.pixelform_form_autoresponders_lists').empty();
				  $('.pixelform_form_autoresponders_lists').append($("<option></option>").attr('value','none').text('Select List'));
			  }	
			});
			
			/* custom tab start */
			$('.pixelform_form_tab_wrapper > .pixelform_form_tab_link > ul').each(function(){
				var $active, $content, $links = $(this).find('a');
				$active = $($links.filter('[href="'+location.hash+'"]')[0] || $links[0]);
				$active.addClass('active');
				$content = $($active[0].hash);
				$links.not($active).each(function () {
				  $(this.hash).hide();
				});
				$(this).on('click', 'a', function(e){
				  $active.removeClass('active');
				  $content.hide();
				  $active = $(this);
				  $content = $(this.hash);
				  $active.addClass('active');
				  $content.show();
				  e.preventDefault();
				});
			});
			/* custom tab end */
		
		// Form Render As
		$('.pixelform_form_render_as').on('change', function() {
			if( $(this).val() != 'contact_form'  ){
				$('.responder_section').css('display', 'block');
			}else{
				$('.responder_section').css('display', 'none');
			}
		});
		
		// Save Mail And Messages Tab Data
			$('#mail_tab_update,#messages_tab_update').on('click', function() {
				var $this = $(this);
				var obj = $this.prev('.pixelform_form_builder_section');
				var form_id = $('.pixelform_form_id').val();
				var tab_data = new Array();
				var i = 0;
				$(obj).find('.pixelform_form_admin_input').each(function(){
					tab_data[i] = $(this).find('.pixelform_form_input_inner input').val();
					i++;
				});
				var button_id = $this.attr('id');
				$this.next('.pixelform_form_loader_img').css('display','inline-block');
				  $.ajax({
						 data: {
							action: 'pixelform_form_tabs_data_save',
							'tab_data': tab_data,
							'form_id': form_id,
							'button_id': button_id
							},
						 type: 'post',
						 url: ajaxurl,
						 success: function(response) {
						     console.log(response);
							if( response == 1 ){
								pixelform_form_alert( "Data has been saved successfully", "success" );
								$this.next('.pixelform_form_loader_img').hide(2000);
							}else{
								pixelform_form_alert( "Need to change somthing to update data.", "error" );
								$this.next('.pixelform_form_loader_img').hide(2000);
							}
						}
					});			
			});
			
		//Show Form Data On Database table
		$('.get_form_data').on('click', function() {
			var data = JSON.parse($(this).prev('input').val());
			$.each(data, function(k,v){
				console.log(k+'=>'+v);
			});
		});
		 
		 //Database Table Load On Ajax
		 if( $('#pixelform_form_database_table').length != '' ){
			$('#pixelform_form_database_table').DataTable();	
		 }
		 
		 //WP Color Picker enable
		 $(".pixelform_form_color_picker").wpColorPicker();
		 
		 //Custom Button Padding Option
		  if($("#btn_padding_type").length != '' ){
			var type = $("#btn_padding_type").val(); 
			if( type == 'custom' ){
				$(".btn_custom_padding").css("display", "flex");
			}
			$("#btn_padding_type").change(function(){
			 var type = $(this).val();
			 if(type=='custom'){
				$(".btn_custom_padding").css("display", "flex"); 
			 }else{
				 $(".btn_custom_padding").css("display", "none");
			 }
		 });
		 }
		 
		 //Enable Hover And Display Some Extra Fields For Form Buton
		 $(".form_button_hover").change(function(){
			if($(this).prop('checked')){
				$(".pixelform_form_enable_hover").css("display","flex");
			}else{
				$(".pixelform_form_enable_hover").css("display","none");
			}
		 });
		 if($(".form_button_hover").prop('checked')){
			 $(".pixelform_form_enable_hover").css("display","flex");
		 }
		 
		 //Enable Custom Border On Form Buton
		 $(".pixelform_form_custom_border").change(function(){
			if($(this).prop('checked')){
				$(".enable_custom_border").css("display","flex");
			}else{
				$(".enable_custom_border").css("display","none");
			}
		 });
		 if($(".pixelform_form_custom_border").prop('checked')){
			 $(".enable_custom_border").css("display","flex");
		 }
		 
		 //Additional Tab Settings Save
		 $("#addi_sett_tab_update").on('click', function(){
			 var $this = $(this);
			 var form_id = $('.pixelform_form_id').val();
			 var tab_data = {};
			 var color_type = $("#btn_color_type").val();
			 tab_data['color_type'] = color_type;
			 tab_data['back_color'] = $(".pixelform_form_btn_back_color").val();
			 tab_data['font_size'] = $(".pixelform_form_btn_fnt_siz").val();
			 tab_data['font_weight'] = $("#btn_font_weight").val();
			 tab_data['txt_color'] = $(".pixelform_form_btn_txt_color").val();
			 tab_data['custom_border'] = ($(".pixelform_form_custom_border:checked").val() != 'undefined') ? $(".pixelform_form_custom_border:checked").val() : 'no';
			 tab_data['bb_width'] = $(".bb_width").val();
			 tab_data['btn_radius'] = $(".pixelform_form_btn_radius").val();
			 tab_data['btn_border_color'] = $(".pixelform_form_btn_border_color").val();
			 tab_data['form_inside'] = ($(".button_inside:checked").val() != 'undefined') ? $(".button_inside:checked").val() : 'no';
			 
			 tab_data['button_hover'] = ($(".form_button_hover:checked").val() != 'undefined') ? $(".form_button_hover:checked").val() : 'no';
			 tab_data['pixelform_form_hr_disab_shadow'] = ($(".pixelform_form_hr_disab_shadow:checked").val() != 'undefined') ? $(".pixelform_form_hr_disab_shadow:checked").val() : 'no';
			 tab_data['hr_bck_color'] = $(".pixelform_form_hover_back_color").val();
			 tab_data['hr_txt_color'] = $(".pixelform_form_hover_txt_color").val();
			 tab_data['hr_btn_border_color'] = $(".pixelform_form_hr_btn_border_color").val();
			 tab_data['fields_size'] = ($(".fields_size:checked").val() != 'undefined') ? $(".fields_size:checked").val() : 'no';
			 tab_data['label_on_border'] = ($(".label_on_border:checked").val() != 'undefined') ? $(".label_on_border:checked").val() : 'no';
			 tab_data['custom_action'] = $(".pixelform_form_custom_action").val();
			 tab_data['padding_type'] = $("#btn_padding_type").val();
			 tab_data['btn_padding'] = $(".pixelform_form_btn_padding").val();
			 tab_data['input_radius'] = $(".pixelform_form_input_radius").val();
			 tab_data['inp_back_clr'] = $(".pixelform_form_input_back_color").val();
			 tab_data['inp_border_clr'] = $(".pixelform_form_input_border_color").val();
			 tab_data['inp_fnt_clr'] = $(".pixelform_form_input_font_color").val();
			 tab_data['input_place_color'] = $(".pixelform_form_input_place_color").val();
			 tab_data['input_margin'] = $(".pixelform_form_input_margin").val();
			 
			 $this.next('.pixelform_form_loader_img').css('display','inline-block'); //Loader
			 
			 $.ajax({
				 data: {
					action: 'pixelform_form_additional_tab_data_save',
					'tab_data': tab_data,
					'form_id': form_id
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response) {
					if( response == 1 ){
						pixelform_form_alert( "Data has been saved successfully", "success" );
						$this.next('.pixelform_form_loader_img').hide(2000);
					}else{
						pixelform_form_alert( "Need to change somthing to update data.", "error" );
						$this.next('.pixelform_form_loader_img').hide(2000);
					}
				}
			});
		 });
		 
		//** Export Forms **//
		$('.pixelform_form_export').on('click', function(){
			$.ajax({
				 data: {
					action: 'pixelform_form_export_form_data'
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response_url) {
					window.location.href = response_url;
				}
			});
		});
		
		//** Export single Form **//
		$('.pixelform_form_download').on('click', function(event){
		    event.preventDefault();
			var id = $(this).data('formid');
			$.ajax({
				 data: {
					action: 'pixelform_form_export_single_form_data',
					'rowID': id
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response_url) {
				    window.location.href = response_url;
				}
			});
		});
		
		//** Import Forms **//
		$('.pixelform_form_import_form_btn').on('click', function(){
			let $this = $(this);
			$this.next('.pixelform_form_loader_img').css('display','inline-block'); //Loader
			let getData = $this.prev().val();
			$.ajax({
				 data: {
					action: 'pixelform_form_import_form_data',
					'importData': getData,
					},
				 type: 'post',
				 url: ajaxurl,
				 success: function(response) {
					$this.next('.pixelform_form_loader_img').hide(2000);
					window.location.href = '';
				}
			});
		});
	});
    /**
	 * All Templates Load More Option
	 */
	$(document).on('click','#pixelform_loadmore',function(){
		var min = Number($('#row').val());
		var total = Number($('#all').val());
		var max = 4;
		$('.loadmore-loader').css('display', 'flex'); 
		$.ajax({
			url: pixelform_form.ajaxurl,
            type: 'post',
            data: {action:'pixelform_template_load_more',min:min,max:max},
            success: function(response){
                
                $('.loadmore-loader').css('display', 'none');
                const obj  = JSON.parse(response);
                if(obj.status=='true'){
                    $(".templates-grid").append(obj.html);
                    $('#row').val(obj.num);
                    if(obj.num >= total){
                        $('.load-more').hide();
                    }
                }
            }
		});

	 }); 

    /**
	 * Pixel Template Import
	 */
	 $(document).on('click','.Pixelform-get-data',function(e){
        var temid = $(this).attr('data-temid');
		$('#Pixelform_page_name').attr('data-temid',temid);
		$('#Pixelform_select_page').attr('data-temid',temid);
	 });
	 $(document).on('change','.Pixelform-page-option',function(e){
		var page_option_value = $("input[name='Pixelform_template_import']:checked").val();
        if(page_option_value=='creat_new_page'){
           $('#Pixelform_page_new').show();
		   $('#Pixelform_default_page').hide();
		}else{
			$('#Pixelform_page_new').hide();
			$('#Pixelform_default_page').show();
		}
	 })
	// ajax page import template
	$(document).on('submit','#Pixelform_template_add_form',function(e){
	 e.preventDefault();
	 var page_option_value = $("input[name='Pixelform_template_import']:checked").val();
	 $('.loadmore-loader').show();
	 if(page_option_value=='creat_new_page'){
		$('#Pixelform_page_new').show();
		$('#Pixelform_default_page').hide();
		var new_page = $('#Pixelform_page_name').val();
		var temid = $('#Pixelform_page_name').attr('data-temid');
		
		if(new_page==''){
			$('.error_message').append('<span id="message" style="color:red;">Please Enter Your Page Name</span>');
			pixelform_form_alert('Please Enter Your Page Name', "error" );
		}else{
			$('#message').remove();
			$.ajax({
				url: pixelform_form.ajaxurl,
                type: 'post',
                data: {action:'pixelform_import_template',temid:temid,new_page:new_page,page_option_value:page_option_value},
                beforeSend:function(){
                   
                },
                success: function(response){
					const obj  = JSON.parse(response);
                    if(obj.status=='true'){
                       pixelform_form_alert(obj.message, "success" );
					   window.location.href = obj.page_url;
                    }else{
					   pixelform_form_alert(obj.message, "error" );
					}
					$('.loadmore-loader').hide();  
                }
            });
		}
	 }else{
		$('#Pixelform_page_new').hide();
		$('#Pixelform_default_page').show();
		$('.loadmore-loader').show();
		var select_page = $('#Pixelform_select_page').val();
		var temid = $('#Pixelform_select_page').attr('data-temid');
		if(select_page==0){
			$('.error_message').append('<span id="message" style="color:red;">Please Select Your Page </span>');
			pixelform_form_alert('Please Select Your Page', "error" );
		}else{
			$('#message').remove();
			$.ajax({
				url: pixelform_form.ajaxurl,
                type: 'post',
                data: {action:'pixelform_import_template',temid:temid,select_page:select_page,page_option_value:page_option_value},
                beforeSend:function(){
                    
                },
                success: function(response){
					const obj  = JSON.parse(response);
                    console.log(obj);
					if(obj.status=='true'){
						pixelform_form_alert(obj.message, "success" );
						window.location.href = obj.page_url; 
					 }else{
						pixelform_form_alert(obj.message, "error" );
					 }
					 $('.loadmore-loader').hide();  

                }
            });
		}
	 }
  
	})

	// Pixelform page in create new template
	$(document).on('submit','#Pixelform_template_newpage',function(e){ 
	    e.preventDefault();
        var new_page = $('#Pixelform__newpage_name').val();
		$('.loadmore-loader').show();
	    if(new_page==''){
		  $('.error_message').append('<span id="message" style="color:red;">Please Enter Your Page Name</span>');
		  pixelform_form_alert('Please Enter Your Page Name', "error" );
	    }else{
		  $('#message').remove();
		  $.ajax({
			  url: pixelform_form.ajaxurl,
			  type: 'post',
			  data: {action:'pixelform_creat_new_template',new_page:new_page},
			  beforeSend:function(){
				 
			  },
			  success: function(response){
				  const obj  = JSON.parse(response);
				  if(obj.status=='true'){
					 pixelform_form_alert(obj.message, "success" );
					 window.location.href = obj.page_url;
				  }else{
					 pixelform_form_alert(obj.message, "error" );
				  }
				$('.loadmore-loader').hide();
			  }
		  });
	    }

	});
    //Pixel Form Alerts Function
	function pixelform_form_alert( msg, msg_type ){
		$(".um_alert_wrapper").addClass('alert_open um_'+msg_type+'');
		$(".um_alert_wrapper .um_alert_inner").children("p").text(msg);
		setTimeout(function(){
			$(".um_alert_wrapper").removeClass('alert_open um_'+msg_type+'');
		}, 5000);
	}
		
})( jQuery );