<?php
global $wpdb;
$table_name = $wpdb->prefix . 'pixelform_form_database';
$results = $wpdb->get_results ( "SELECT * FROM  $table_name" );

?>
<div class="ul_main_wrapper">
	<div class="ul_content_wrapper ul_form_builder_wrapper">
		<h3 class="pixelform_form_page_header"><?php _e('Form Database', 'pixelform_form'); ?> <span>- <?php _e('Powered by Pixel (1.0.0)', 'pixelform_form'); ?></span></h3>
		 <div class="pixelform_form_tabledata table-responsive">
			 <table id="pixelform_form_database_table" class="table table-striped">
				<thead>
				  <tr>
					<th><input type="checkbox" id="master_check"></th>
					<th>#</th>
					<th><?php _e('Form Name', 'pixelform_form'); ?></th>
					<th><?php _e('User Email', 'pixelform_form'); ?></th>
					<th><?php _e('Form Data', 'pixelform_form'); ?></th>
					<th><?php _e('Date', 'pixelform_form'); ?></th>
					<th><?php _e('Action', 'pixelform_form'); ?></th>
				  </tr>
				</thead>
				<tbody>
					<?php
					$rowNumber = 1;
						foreach( $results as $data ){
							echo '<tr data-rowID="'.$data->ID.'">';
							echo '<td><input type="checkbox" class="sub_chk" data-rowID="'.$data->ID.'"></td>';
							echo '<td>'.$rowNumber.'</td>';
							echo '<td>'.$data->Form_Name.'</td>';
							echo '<td>'.$data->User_Email.'</td>';
							
							echo '<td>';
							
							echo end(json_decode($data->Form_Data));
							
							echo '</td>';
							
							echo '<td>'.$data->Date_Created.'</td>';
							echo '<td><a href="javascript:;" class="pixelform_form_data_remove" title="delete" data-rowID="'.$data->ID.'"><span class="fa fa-trash-o"></span></a></td>';
							echo '</tr>';
							$rowNumber++;
						}
					?>
					
				</tbody>
			</table>
			<button class="pixelform_form_btn" type="button" id="delete_all_form_data"><?php _e('Delete Selected', 'pixelform_form'); ?></button>
		</div>
	</div>
</div>